package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.model.PatentLog;

public interface PatentLogMapper {
    int deleteByPrimaryKey(String id);

    int insert(PatentLog record);

    int insertSelective(PatentLog record);

    PatentLog selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(PatentLog record);

    int updateByPrimaryKey(PatentLog record);

	List<PatentLog> selectProcessByPid(String pid);

	int batchInsert(List<PatentLog> p);

}